## hyperestraier 1.0.6

=== javapure/example/Makefile ===
# Makefile for sample programs of the Java binding



#================================================================
# Setting Variables
#================================================================


# Generic settings
SHELL = /bin/sh

# Targets
MYCLASSES = Example001.class  Example002.class

# Building binaries
JAVAC = javac
JAVACFLAGS = -d .
JAVACENV = CLASSPATH=.:../estraierpure.jar



#================================================================
# Actions
#================================================================


all : $(MYCLASSES)


clean :
	rm -rf $(MYCLASSES) *.exe *.o a.out check.out gmon.out leak.log casket *~


.PHONY : all clean



#================================================================
# Building binaries
#================================================================


Example001.class : Example001.java
	$(JAVACENV) $(JAVAC) $(JAVACFLAGS) Example001.java


Example002.class : Example002.java
	$(JAVACENV) $(JAVAC) $(JAVACFLAGS) Example002.java



# END OF FILE

=== rubypure/example/Makefile ===
# Makefile for sample programs of the Java binding



#================================================================
# Setting Variables
#================================================================


# Generic settings
SHELL = /bin/sh



#================================================================
# Actions
#================================================================


all :


clean :
	rm -rf *.exe *.o a.out check.out gmon.out leak.log casket *~


.PHONY : all clean



# END OF FILE

## hyperestraier 1.4.13

=== example/Makefile ===
# Makefile for sample programs of Hyper Estraier



#================================================================
# Setting Variables
#================================================================


# Generic settings
SHELL = /bin/sh

# Targets
MYBINS = coreexample001 coreexample002 nodeexample001 nodeexample002

# Building binaries
CC = gcc
CFLAGS = -I. -I.. `../estconfig --cflags`
LDFLAGS = `../estconfig --ldflags`
LIBS = -L. -L.. `../estconfig --libs`
LDENV = LD_RUN_PATH=/lib:/usr/lib:$(HOME)/lib:/usr/local/lib:.:..



#================================================================
# Suffix rules
#================================================================


.SUFFIXES :
.SUFFIXES : .c .o

.c.o :
	$(CC) -c $(CFLAGS) $<



#================================================================
# Actions
#================================================================


all : $(MYBINS)


clean :
	rm -rf $(MYBINS) *.exe *.o a.out check.out gmon.out leak.log casket *~


.PHONY : all clean



#================================================================
# Building binaries
#================================================================


coreexample001 : coreexample001.o
	$(LDENV) $(CC) $(CFLAGS) -o $@ coreexample001.o $(LDFLAGS) $(LIBS)


coreexample002 : coreexample002.o
	$(LDENV) $(CC) $(CFLAGS) -o $@ coreexample002.o $(LDFLAGS) $(LIBS)


nodeexample001 : nodeexample001.o
	$(LDENV) $(CC) $(CFLAGS) -o $@ nodeexample001.o $(LDFLAGS) $(LIBS)


nodeexample002 : nodeexample002.o
	$(LDENV) $(CC) $(CFLAGS) -o $@ nodeexample002.o $(LDFLAGS) $(LIBS)



# END OF FILE

=== javanative/example/Makefile ===
# Makefile for sample programs of the Java binding



#================================================================
# Setting Variables
#================================================================


# Generic settings
SHELL = /bin/sh

# Targets
MYCLASSES = Example001.class  Example002.class

# Building binaries
JAVAC = javac
JAVACFLAGS = -d .
JAVACENV = CLASSPATH=.:../estraiernative.jar
RUNENV = LD_LIBRARY_PATH=.:..:/lib:/usr/lib:$(HOME)/lib:/usr/local/lib



#================================================================
# Actions
#================================================================


all : $(MYCLASSES)


clean :
	rm -rf $(MYCLASSES) *.exe *.o a.out check.out gmon.out leak.log casket *~


.PHONY : all clean



#================================================================
# Building binaries
#================================================================


Example001.class : Example001.java
	$(JAVACENV) $(JAVAC) $(JAVACFLAGS) Example001.java


Example002.class : Example002.java
	$(JAVACENV) $(JAVAC) $(JAVACFLAGS) Example002.java



# END OF FILE

=== javapure/example/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Makefile for sample programs of the Java binding
+# Makefile for sample programs of the Java interface

=== rubypure/example/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Makefile for sample programs of the Java binding
+# Makefile for sample programs of the Ruby interface

=== debian/changelog ===
hyperestraier (1.4.13-3) unstable; urgency=low

  * Upstream homepage moved.
  * exclude building java for mips. (Closes: #599982)

 -- KURASHIKI Satoru <lurdan@gmail.com>  Tue, 01 Mar 2011 21:39:34 +0900

hyperestraier (1.4.13-2) unstable; urgency=low

  * New Standards-Version: 3.9.1
  * remove needless gsub! from ruby script. (Closes: #591399, #593030)
  * fix preinst to check directory existence. (Closes: #592443)
  * libestraier-ruby*:
    est{cmd|call}.rb moves from /usr/bin to doc/example. (Closes: #592245) 
  * libestraier-java:
    drop native interface build for hppa, kfreebsd. (Closes: #591401)
  * libestraier-ruby-doc:
    new package. split ruby api documentation.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Sat, 18 Sep 2010 13:21:45 +0900

hyperestraier (1.4.13-1) unstable; urgency=low

  * Imported Upstream version 1.4.13 (by Taku YASUI <tach@debian.org>)
  * New Standards-Version: 3.9.0
  * Add depends to libestraier-dev. (Closes: #441844)
  * build perl binding. (Closes: #381336)
  * New Maintainer. (Closes: #506790)
  * README.Debian: Fix typo. (Closes: #460257, #428956)

 -- KURASHIKI Satoru <lurdan@gmail.com>  Wed, 21 Jul 2010 20:04:22 +0900

hyperestraier (1.4.9-1.4) unstable; urgency=high

  * Non-maintainer upload.
  * Really don't try to build libestraier-java on alpha, arm.

 -- Frank Lichtenheld <djpig@debian.org>  Tue, 15 Jul 2008 03:05:18 +0200

hyperestraier (1.4.9-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Don't build libestraier-java on alpha, arm. Closes: #477864.

 -- Matthias Klose <doko@debian.org>  Sun, 11 May 2008 08:02:50 +0200

hyperestraier (1.4.9-1.2) unstable; urgency=low

  * Non-maintainer upload to solve release goal.
  * Add LSB dependency header to init.d scripts (Closes: #462713).

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 25 Mar 2008 22:48:04 +0100

hyperestraier (1.4.9-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Set HOME=$(CURDIR)/junkhome when building, otherwise the package build
    will incorrectly look for headers there -- and fail when the directory
    exists and is unreadable, as happens sometimes on sudo-using
    autobuilders!

 -- Steve Langasek <vorlon@debian.org>  Tue, 14 Nov 2006 05:28:32 -0800

hyperestraier (1.4.9-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun, 12 Nov 2006 23:32:15 +0900

hyperestraier (1.4.8-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri,  3 Nov 2006 17:21:05 +0900

hyperestraier (1.4.7-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue, 31 Oct 2006 01:25:10 +0900

hyperestraier (1.4.6-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri, 20 Oct 2006 02:40:40 +0900

hyperestraier (1.4.5-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue,  3 Oct 2006 01:03:53 +0900

hyperestraier (1.4.4-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue, 19 Sep 2006 00:33:42 +0900

hyperestraier (1.4.3-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue, 12 Sep 2006 00:22:06 +0900

hyperestraier (1.4.2-1) unstable; urgency=low

  * New upstream release
  * debian/control: libestraier-dev section libdevel
  * debian/hyperestraier.init: check_pidfile
    closes: Bug#386355

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu,  7 Sep 2006 23:32:48 +0900

hyperestraier (1.4.1-2) unstable; urgency=low

  * it actually build-depends on libqdbm-dev (>= 1.8.68), which 
    provides QDBM_LIBVER 1404 or more.
    closes: Bug#385991

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue,  5 Sep 2006 22:40:04 +0900

hyperestraier (1.4.1-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon,  4 Sep 2006 00:00:26 +0900

hyperestraier (1.4.0-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue, 29 Aug 2006 22:13:08 +0900

hyperestraier (1.3.9-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed, 23 Aug 2006 13:32:45 +0900

hyperestraier (1.3.8-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu, 17 Aug 2006 14:47:40 +0900

hyperestraier (1.3.6-1) unstable; urgency=low

  * New upstream release
  * debian/shlibs; add version dependency

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun,  6 Aug 2006 04:17:00 +0900

hyperestraier (1.3.5-1) unstable; urgency=low

  * New upstream release
  * debian/control: add ppthtml to Recommends: (pphtml was typo)

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon, 31 Jul 2006 07:04:19 +0900

hyperestraier (1.3.3-1) unstable; urgency=high

  * New upstream release
    fix CVE-2006-3671: cross-site request forgery
    closes: Bug#379060
    new bindaddr configuration parameter in _conf
    closes: Bug#368906
  * debian/hyperestraier.init: fix to exit successfully when NO_START=1
    closes: Bug#367374, Bug#377743
  * debia/control: remove pphtml from Recommends, since it is not available 
      any more.
    closes: Bug#376897

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun, 23 Jul 2006 08:27:40 +0900

hyperestraier (1.2.5-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed, 10 May 2006 00:31:07 +0900

hyperestraier (1.2.3-1) unstable; urgency=low

  * New upstream release
  * exclude kfreebsd-amd64 from build-depends for java as kfreebsd-i386
   closes: Bug#361463
  * remove build-depends on libgcj-dev
   closes: Bug#359728
  * fix typo in description
   closes: Bug#363950
  
 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu, 27 Apr 2006 00:35:27 +0900

hyperestraier (1.0.6-1) unstable; urgency=low

  * New upstream release
  * bump up shlib version
    debian/control: libestraier6 -> libestraier7
    debian/rules: libestraier6 -> libestraier7


=== debian/control ===
Source: hyperestraier
Section: text
Priority: optional
Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
Build-Depends: debhelper (>= 6.0.7), autotools-dev, pkg-config, zlib1g-dev, libqdbm-dev (>= 1.8.75), libfcgi-dev (>= 2.4.0-6), ruby1.8, ruby1.8-dev, ruby1.9.1, ruby1.9.1-dev, default-jdk, chrpath, perl
Standards-Version: 3.9.1
Homepage: http://http://fallabs.com/hyperestraier/
Vcs-Git: git://git.debian.org/users/lurdan-guest/hyperestraier.git
Vcs-Browser: http://git.debian.org/?p=users/lurdan-guest/hyperestraier.git

Package: hyperestraier
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: wv, xlhtml, ppthtml, xpdf-utils, wordnet
Description: a full-text search system for communities
 Hyper Estraier is a full-text search system. You can search lots of documents
 for some documents including specified words. If you run a web site, it is
 useful as your own search engine for pages in your site. Also, it is useful as
 search utilities of mail boxes and file servers.
 The characteristic of Hyper Estraier is the following.
  * High performance of search
  * High scalability of target documents
  * Perfect recall ratio by N-gram method
  * Phrase search, attribute search, and similarity search
  * Multilingualism with Unicode
  * Independent of file format and repository
  * Simple and powerful API
  * Supporting P2P architecture
 It is redesigned Estraier and you can connect several index nodes over
 the network using node API.

Package: libestraier8
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: a full-text search system Libraries [runtime]
 Hyper Estraier is a full-text search system. 
 This is the runtime package for programs that use the QDBM database
 library.

Package: libestraier-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, libestraier8 (= ${binary:Version}), ${misc:Depends}, zlib1g-dev, libqdbm-dev
Description: a full-text search system Libraries [development]
 Hyper Estraier is a full-text search system. 
 This is the runtime package for programs that use the QDBM database
 library.

Package: libestraier-ruby
Architecture: any
Section: ruby
Depends: libestraier-ruby1.8, ${misc:Depends}
Description: Hyper Estraier Node API Libraries for Ruby
 Hyper Estraier is a full-text search system.
 This package is a dependency package, which depends on
 the package containing actual ruby hyperestraier libraries
 for the default Ruby version (currently 1.8).

Package: libestraier-ruby-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libestraier-ruby1.8 | libestraier-ruby1.9.1
Description: Hyper Estraier Node API Libraries for Ruby (documentation)
 Hyper Estraier is a full-text search system.
 This package provides the Ruby interface for the Node API for
 Hyper Estraier.
 .
 This is the documentation package, with upstream documentation, as well as
 generated rdoc.

Package: libestraier-ruby1.8
Architecture: any
Section: ruby
Depends: ${shlibs:Depends}, ruby, ruby1.8, ${misc:Depends}
Suggests: hyperestraier, libestraier-ruby-doc
Description: Hyper Estraier Node API Libraries for Ruby 1.8
 Hyper Estraier is a full-text search system. 
 This package provides the Ruby interface for the Node API for
 Hyper Estraier.

Package: libestraier-ruby1.9.1
Architecture: any
Section: ruby
Depends: ${shlibs:Depends}, ruby, ruby1.9.1, ${misc:Depends}
Suggests: hyperestraier, libestraier-ruby-doc
Description: Hyper Estraier Node API Libraries for Ruby 1.9.1
 Hyper Estraier is a full-text search system. 
 This package provides the Ruby interface for the Node API for
 Hyper Estraier.

Package: libestraier-java
Architecture: any
Section: java
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: hyperestraier, java-virtual-machine
Description: Hyper Estraier Node API Libraries for Java
 Hyper Estraier is a full-text search system. 
 This package provides the Java interface for the Node API for
 Hyper Estraier.

Package: libestraier-perl
Architecture: any
Section: perl
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Suggests: hyperestraier, perl
Description: Hyper Estraier node API Libraries for Perl
 Hyper Estraier is a full-text search system.
 This package provides the Perl interface for the Node API for
 Hyper Estraier.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# work-around for upstream build that thinks $(HOME) belongs in the
# include path for all builds!
export HOME=$(CURDIR)/junkhome

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_ARCH      ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_BUILD_GNU_CPU   ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)
DEB_BUILD_GNU_SYSTEM ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_SYSTEM)

JAVA_UNSUPPORTED_CPUS = zhppaz zmipsz
JAVA_UNSUPPORTED_SYSTEMS = zkfreebsd-gnuz

RUBYLIBDIR ?= $(shell ruby1.8 -rrbconfig -e "puts Config::CONFIG['rubylibdir']")
RUBYARCHDIR ?= $(shell ruby1.8 -rrbconfig -e "puts Config::CONFIG['archdir']")
RUBY19LIBDIR ?= $(shell ruby1.9.1 -rrbconfig -e "puts Config::CONFIG['rubylibdir']")
RUBY19ARCHDIR ?= $(shell ruby1.9.1 -rrbconfig -e "puts Config::CONFIG['archdir']")

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

CONFIGURE_VARS = CFLAGS="$(CFLAGS)"
CONFIGURE_SWITCHES = --host=$(DEB_HOST_GNU_TYPE) \
		     --build=$(DEB_BUILD_GNU_TYPE) \
		     --prefix=/usr \
		     --mandir=\$${prefix}/share/man \
		     --infodir=\$${prefix}/share/info \
		     --includedir=\$${prefix}/include/estraier \
		     --libexecdir=\$${prefix}/lib/estraier \
		     --enable-java

DEFAULT_JAVA ?= $(shell readlink /etc/alternatives/java | sed s@/jre/bin/java@@)
ifneq (,$(findstring /usr/bin/gij,$(DEFAULT_JAVA)))
CONFIGURE_VARS += JAVAC="gcj-wrapper" JAR="fastjar"
#CONFIGURE_SWITCHES += --with-gcj
else
JAVA_HOME ?= $(DEFAULT_JAVA)
CONFIGURE_VARS += JAVA_HOME="$(JAVA_HOME)" JAVAC="$(JAVA_HOME)/bin/javac"
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	$(CONFIGURE_VARS) ./configure $(CONFIGURE_SWITCHES) \
		--enable-regex
	cp -pR rubypure rubypure19
	cd rubypure && $(CONFIGURE_VARS) ./configure $(CONFIGURE_SWITCHES)
	cd rubypure19 && $(CONFIGURE_VARS) ./configure $(CONFIGURE_SWITCHES)
	cd javapure && $(CONFIGURE_VARS) ./configure $(CONFIGURE_SWITCHES) \
		--libdir=\$${prefix}/share/hyperestraier
	$(MAKE)
	cp -pR rubynative rubynative19
	cd rubynative && $(CONFIGURE_VARS) ./configure $(CONFIGURE_SWITCHES)
	cd rubynative19 && $(CONFIGURE_VARS) ./configure $(CONFIGURE_SWITCHES)
ifeq (,$(findstring z$(DEB_BUILD_GNU_CPU)z,$(JAVA_UNSUPPORTED_CPUS)))
ifeq (,$(findstring z$(DEB_BUILD_GNU_SYSTEM)z,$(JAVA_UNSUPPORTED_SYSTEMS)))
	cd javanative && $(CONFIGURE_VARS) LIBS="../libestraier.a" ./configure $(CONFIGURE_SWITCHES)
endif
endif
	cd perlnative && $(CONFIGURE_VARS) ./configure $(CONFIGURE_SWITCHES)

#Architecture 
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp:  config.status

	# Add here commands to compile the arch part of the package.
	$(MAKE) && $(MAKE) check
	$(MAKE) estseek.fcgi
	export RUBY=/usr/bin/ruby1.8 && cd rubynative && $(MAKE) && $(MAKE) check
	export RUBY=/usr/bin/ruby1.9.1 && cd rubynative19 && $(MAKE) && $(MAKE) check
	perl -p -i -e 's@^#! /usr/bin/ruby1\.8 -w@#! /usr/bin/ruby1.9.1 -w@' rubynative19/estcmd.rb
ifeq (,$(findstring z$(DEB_BUILD_GNU_CPU)z,$(JAVA_UNSUPPORTED_CPUS)))
ifeq (,$(findstring z$(DEB_BUILD_GNU_SYSTEM)z,$(JAVA_UNSUPPORTED_SYSTEMS)))
	cd javanative && $(MAKE) && $(MAKE) check
endif
endif
	cd perlnative/src && perl Makefile.PL INC="-I/usr/include/qdbm -I. -I../.. -I/usr/include/estraier" \
		OPTIMIZE="-O2 -g -Wall" LIBS="-L../.. -lestraier -lqdbm -lz -lm -lc" INSTALLDIRS=vendor && $(MAKE)
	cd perlnative && $(MAKE) check
	touch build-arch-stamp

build-indep: build-indep-stamp
build-indep-stamp:  config.status

	# Add here commands to compile the indep part of the package.
	#$(MAKE) doc
	export RUBY=/usr/bin/ruby1.8 && cd rubypure && $(MAKE)
	export RUBY=/usr/bin/ruby1.9.1 && cd rubypure19 && $(MAKE)
	perl -p -i -e 's@^#! /usr/bin/ruby1\.8 -w@#! /usr/bin/ruby1.9.1 -w@' rubypure19/estcall.rb
	cd javapure && $(MAKE)
	touch build-indep-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp #CONFIGURE-STAMP#
	rm -rf config.sub config.guess rubypure19 rubynative19
	rm -f rubypure/pure/est*.rb rubynative/native/est*.rb
	[ ! -d rubypure/pure ] || mv rubypure/pure rubypure/example
	[ ! -d rubynative/native ] || mv rubynative/native rubynative/example
	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	-cd rubypure && $(MAKE) distclean
	-cd rubynative && $(MAKE) distclean
	-cd javapure && $(MAKE) distclean
	-cd javanative && $(MAKE) distclean
	-cd perlnative && $(MAKE) distclean
	dh_clean 

install:
	dh_testdir
	dh_testroot
	dh_clean -k -s 
	dh_installdirs -s
	# Add here commands to install the arch part of the package into 
	# debian/tmp.
	$(MAKE) install prefix=$(CURDIR)/debian/hyperestraier/usr
	perl -p -i -e 's/^\.TH ESTWAVER 3/\.TH ESTWAVER 1/' $(CURDIR)/debian/hyperestraier/usr/share/man/man1/estwaver.1
	cd rubypure && $(MAKE) install \
		DESTDIR=$(CURDIR)/debian/libestraier-ruby1.8 \
		MYRBLIBDIR=$(RUBYLIBDIR)
	cd rubypure19 && $(MAKE) install \
		DESTDIR=$(CURDIR)/debian/libestraier-ruby1.9.1 \
		MYRBLIBDIR=$(RUBY19LIBDIR)
	cd rubynative && $(MAKE) install \
		DESTDIR=$(CURDIR)/debian/libestraier-ruby1.8 \
		MYRBLIBDIR=$(RUBYLIBDIR)
	cd rubynative19 && $(MAKE) install \
		DESTDIR=$(CURDIR)/debian/libestraier-ruby1.9.1 \
		MYRBLIBDIR=$(RUBY19LIBDIR)

	# create example directory tree
	mv $(CURDIR)/debian/libestraier-ruby1.8/usr/bin/estcmd.rb rubynative/example/
	mv $(CURDIR)/debian/libestraier-ruby1.9.1/usr/bin/estcmd.rb rubynative19/example/
	mv $(CURDIR)/debian/libestraier-ruby1.8/usr/bin/estcall.rb rubypure/example/
	mv $(CURDIR)/debian/libestraier-ruby1.9.1/usr/bin/estcall.rb rubypure19/example/
	mv rubynative/example rubynative/native
	mv rubypure/example rubypure/pure
	mv rubynative19/example rubynative19/native
	mv rubypure19/example rubypure19/pure

	install -m 644 rubynative/estraier-doc.rb \
		$(CURDIR)/debian/libestraier-ruby1.8/$(RUBYLIBDIR)/
	install -m 644 rubynative19/estraier-doc.rb \
		$(CURDIR)/debian/libestraier-ruby1.9.1/$(RUBY19LIBDIR)/
	mkdir -p $(CURDIR)/debian/libestraier-ruby1.8/$(RUBYARCHDIR)
	mkdir -p $(CURDIR)/debian/libestraier-ruby1.9.1/$(RUBY19ARCHDIR)
	install -m 644 rubynative/src/estraier.so \
		$(CURDIR)/debian/libestraier-ruby1.8/$(RUBYARCHDIR)/
	install -m 644 rubynative19/src/estraier.so \
		$(CURDIR)/debian/libestraier-ruby1.9.1/$(RUBY19ARCHDIR)/
	cd javapure && $(MAKE) install DESTDIR=$(CURDIR)/debian/libestraier-java
	mv $(CURDIR)/debian/libestraier-java/usr/share/hyperestraier/estraierpure.jar $(CURDIR)/debian/libestraier-java/usr/share/hyperestraier/lib/
ifeq (,$(findstring z$(DEB_BUILD_GNU_CPU)z,$(JAVA_UNSUPPORTED_CPUS)))
ifeq (,$(findstring z$(DEB_BUILD_GNU_SYSTEM)z,$(JAVA_UNSUPPORTED_SYSTEMS)))
	cd javanative && $(MAKE) install \
		DESTDIR=$(CURDIR)/debian/libestraier-java
	cp -L $(CURDIR)/debian/libestraier-java/usr/lib/libjestraier.so $(CURDIR)/debian/libestraier-java/usr/lib/jni/libjestraier.so

=== debian/watch ===
version=3
http://fallabs.com/hyperestraier/hyperestraier-(.+).tar.gz
